Skip to main content
`Ctrl`+`K`

# PetscHSetIVQueryDel

Query and remove an entry from the hash set

## Synopsis

    #include <petsc/private/hashsetiv.h>
    PetscErrorCode PetscHSetIVQueryDel(PetscHSetIV ht, PetscInt key, PetscBool *present)

## Input Parameters

- ht - The hash set

- key - The entry

## Output Parameter

- present - Boolean indicating whether the entry was present

## See Also

`PetscHSetIVQueryAdd()`, `PetscHSetIVDel()`

## Level

developer

## Location

include/petsc/private/hashset.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages